lib64llvm-plugins-3.9.0-4-rosa2014.1.x86_64.rpm


Advertisement

Description

lib64llvm-plugins - LLVM plugins

Property Value
Distribution ROSA 2014.1
Repository ROSA Main Updates x86_64
Package filename lib64llvm-plugins-3.9.0-4-rosa2014.1.x86_64.rpm
Package name lib64llvm-plugins
Package version 3.9.0
Package release 4-rosa2014.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://llvm.org/
License NCSA
Maintainer -
Download size 80.09 KB
Installed size 315.17 KB
LLVM plugins.

Alternatives

Package Version Architecture Repository
lib64llvm-plugins - - -

Requires

Name Value
libLLVM-3.9.so()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.17)(64bit) -

Provides

Name Value
BugpointPasses.so()(64bit) -
LLVMHello.so()(64bit) -
LLVMgold.so()(64bit) -
lib64llvm-plugins == 3.9.0-4:2014.1
libLTO.so()(64bit) -
llvm-plugins == 3.9.0-4:2014.1

Conflicts

Name Value
lib64llvm-devel < 3.8.0-2
lib64llvm3.8 < 3.8.0-2

Download

Type URL
Mirror mirror.rosalab.ru
Binary Package lib64llvm-plugins-3.9.0-4-rosa2014.1.x86_64.rpm
Source Package llvm-3.9.0-4.src.rpm

Install Howto

  1. Enable ROSA Main Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64llvm-plugins rpm package:
    # urpmi lib64llvm-plugins

Files

Path
/usr/lib64/BugpointPasses.so
/usr/lib64/LLVMHello.so
/usr/lib64/LLVMgold.so
/usr/lib64/libLTO.so

Changelog

2016-10-31 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.8.0-4
- (f4b302b) lib(64)llvm-devel should now require Polly as well
- (Evgenii Shatokhin: 6b76863) Moved dev. files for Polly into lib(64)llvm-devel
- (Evgenii Shatokhin: 6b76863) lib(64)llvm-devel already refers to these through
- (Evgenii Shatokhin: 6b76863) /usr/lib/cmake/llvm/LLVMExports.cmake, so llvm-polly-devel should always
- (Evgenii Shatokhin: 6b76863) be installed along with lib(64)llvm-devel.
- (Evgenii Shatokhin: 6b76863) It is more reliable to keep these development files in the same package
- (Evgenii Shatokhin: 6b76863) as the files for LLVM in this case.
2016-10-31 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.8.0-3
- (340aa4e) Restored LLVMHello.so
- (340aa4e) As it turned out, the plugin is actually needed (or at least, checked
- (340aa4e) for) when building some packages, e.g. "umbrello".
2016-10-31 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.9.0-4
- (3357015) lib(64)llvm-devel should now require Polly as well
- (Evgenii Shatokhin: 151d224) Moved dev. files for Polly into lib(64)llvm-devel
- (Evgenii Shatokhin: 151d224) lib(64)llvm-devel already refers to these through
- (Evgenii Shatokhin: 151d224) /usr/lib/cmake/llvm/LLVMExports.cmake, so llvm-polly-devel should always
- (Evgenii Shatokhin: 151d224) be installed along with lib(64)llvm-devel.
- (Evgenii Shatokhin: 151d224) It is more reliable to keep these development files in the same package
- (Evgenii Shatokhin: 151d224) as the files for LLVM in this case.
2016-10-31 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.9.0-3
- (0806328) Restored LLVMHello.so
- (0806328) As it turned out, the plugin is actually needed (or at least, checked
- (0806328) for) when building some packages, e.g. "umbrello".
2016-10-14 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.9.0-2
- (618275f) MassBuild#1169: Increase release tag
2016-09-11 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.9.0-1
- (927cb29) Added a missing curly brace
- (Evgenii Shatokhin: 9b14190) Updated to version 3.9.0
- (Evgenii Shatokhin: 9b14190) Most of the work was done in
- (Evgenii Shatokhin: 9b14190) https://abf.io/import/llvm/pull_requests/2
- (Evgenii Shatokhin: 9b14190) I have reworked clang-mandriva.patch to keeps it (as clang-rosa.patch).
- (Evgenii Shatokhin: 9b14190) It seems, it did not actually detect ROSA in the past (it checked that
- (Evgenii Shatokhin: 9b14190) /etc/lsb-release has DISTRIB_ID=Mandriva<...> while we have "Rosa<...>"
- (Evgenii Shatokhin: 9b14190) there). However, it could be useful to align the default Clang flags
- (Evgenii Shatokhin: 9b14190) with Ubuntu, Fedora and such.
2016-06-07 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.8.0-2
- (047b84f) Move plugins into individual package
2016-05-15 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.8.0-1
- (8bf200e) Do not delete library archives, they are needed for development
- (Evgenii Shatokhin: be2e792) Install LLVMPolly.so to the correct location
- (Evgenii Shatokhin: 950faf1) Revisited the set of files to be installed, removed clang-doc
- (Evgenii Shatokhin: dc8392a) Restored the workaround for a bug in GCC 4.9 (-fno-devirtualize)
- (Evgenii Shatokhin: f7f2188) Added 2 more patches, revisited build options
- (Evgenii Shatokhin: f7f2188) 1. Added 2 patches (from ArchLinux, re-diffed) to fix
- (Evgenii Shatokhin: f7f2188) https://llvm.org/bugs/show_bug.cgi?id=23529
- (Evgenii Shatokhin: f7f2188) 2. Revisited the set of cmake options.
- (Evgenii Shatokhin: 0e6a49d) Require Cmake explicitly
- (Evgenii Shatokhin: 65f0123) Updated to version 3.8.0, the first take

See Also

Package Description
lib64llvm3.9-3.9.0-4-rosa2014.1.x86_64.rpm LLVM shared libraries
lib64lm_sensors-devel-3.4.0-1-rosa2014.1.x86_64.rpm Development libraries and header files for lm_sensors
lib64lm_sensors4-3.4.0-1-rosa2014.1.x86_64.rpm Libraries needed for lm_sensors
lib64lmdb-devel-0.9.14-1-rosa2014.1.x86_64.rpm Development files for lmdb
lib64lmdb0-0.9.14-1-rosa2014.1.x86_64.rpm Shared library for lmdb
lib64lo10k1-devel-1.1.3-1-rosa2014.1.x86_64.rpm Development files for l10k1
lib64lo10k1_0-1.1.3-1-rosa2014.1.x86_64.rpm Ld10k1_ library
lib64lockdev-devel-1.0.4-0.120111007git.9-rosa2014.1.x86_64.rpm The Static lockdev library and header files for the lockdev library
lib64lockdev1-1.0.4-0.120111007git.9-rosa2014.1.x86_64.rpm A library for locking devices
lib64logging-rfc3195-devel-1.0.4-1-rosa2014.1.x86_64.rpm Development files for LibLogging stdlog library
lib64logging-rfc31950-1.0.4-1-rosa2014.1.x86_64.rpm An easy to use logging library - rfc3195 component
lib64logging-stdlog-devel-1.0.4-1-rosa2014.1.x86_64.rpm Development files for LibLogging stdlog library
lib64logging-stdlog0-1.0.4-1-rosa2014.1.x86_64.rpm An easy to use logging library
lib64lpc10-devel-1.5-18-rosa2014.1.x86_64.rpm LPC-10 2400 bps Voice Coder development files
lib64lpc10_0-1.5-18-rosa2014.1.x86_64.rpm The shared LPC-10 2400 bps Voice Coder Library
Advertisement
Advertisement